#

API Docs for: 1.5.0
Show: Inherited Protected Private Deprecated

# Circle Class

Defined in: `src/pixi/core/Circle.js:5`
Module: PIXI

The Circle object can be used to specify a hit area for displayObjects

## Constructor

### `Circle`

(

- `x`
- `y`
- `radius`

)

Defined in `src/pixi/core/Circle.js:5`

#### Parameters:

- `x` Number

  The X coordinate of the upper-left corner of the framing rectangle of this circle

- `y` Number

  The Y coordinate of the upper-left corner of the framing rectangle of this circle

- `radius` Number

  The radius of the circle

- Index
- Methods
- Properties

## Item Index

### Methods

- clone
- contains

### Properties

- radius
- x
- y

## Methods

### `clone`

() Circle

Defined in `src/pixi/core/Circle.js:38`

Creates a clone of this Circle instance

#### Returns:

Circle:

a copy of the polygon

### `contains`

(

- `x`
- `y`

)
Boolean

Defined in `src/pixi/core/Circle.js:49`

Checks whether the x, and y coordinates passed to this function are contained within this circle

#### Parameters:

- `x` Number

  The X coordinate of the point to test

- `y` Number

  The Y coordinate of the point to test

#### Returns:

Boolean:

Whether the x/y coordinates are within this polygon

## Properties

### `radius`

Number

Defined in `src/pixi/core/Circle.js:30`

Default: 0

### `x`

Number

Defined in `src/pixi/core/Circle.js:16`

Default: 0

### `y`

Number

Defined in `src/pixi/core/Circle.js:23`

Default: 0